VGGT-1B
ผสานการทำงาน
vggt-1b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/vggt-1b?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/vggt-1b?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/vggt-1b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/th/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "vggt-1b",
"input": {}
}
เรียกใช้โมเดล VGGT-1B (vggt-1b) ผ่าน Doitong API เอกสารสำหรับเอเจนต์: https://doitong.com/th/developers/models/vggt-1b.md
POST https://api.doitong.com/v1/run/vggt-1b?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
หากสถานะการตอบกลับเป็น "queued" หรือ "running" ให้ส่งคำขอแบบสำรวจ GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 จนกว่าจะเป็น "succeeded" ไฟล์อยู่ใน outputs[].url การส่ง POST https://api.doitong.com/v1/quote/vggt-1b ด้วยบอดี้เดียวกันจะแสดงราคาที่แน่นอนก่อนเรียกใช้
สูงสุด $1.755 ต่อการเรียกใช้ คิดค่าบริการตามการใช้งานจริง ส่วนที่เหลือจะคืนเงิน เรียกใช้ในหน้านี้
คีย์ API ใหม่ของคุณ คีย์นี้จะแสดงเฉพาะตอนนี้ และมีอยู่ในโค้ดและช่องคีย์ API ด้านล่างแล้ว เก็บเป็นความลับ: อย่าใส่คีย์นี้ไว้ในโค้ดที่ทำงานบนเบราว์เซอร์
ผลลัพธ์แรกของคุณจะแสดงที่นี่
สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน
สร้างคำขอ
ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า
/run/vggt-1b?wait=20
ใบเสนอราคา → $1.755
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/vggt-1b?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/vggt-1b?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/vggt-1b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "vggt-1b",
"input": {},
"wait_seconds": 20
}
}
}
เรียกใช้คำขอนี้
คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API
เกี่ยวกับ VGGT-1B
ประเมินเรขาคณิตจากมุมมองหลายมุม ส่งภาพสูงสุด 48 ภาพใน `image_urls` และเพิ่ม `video_url` ได้ โดยสุ่มตัวอย่างทุก ๆ `frame_sampling_rate` เฟรม ระบบส่งคืนแผนที่ความลึกต่อเฟรม พารามิเตอร์ภายนอกและภายในของกล้อง ไฟล์ผลการคาดการณ์ดิบ และพอยต์คลาวด์ GLB พร้อมกรวยกล้อง `confidence_percentile` และ `max_points` ใช้ควบคุมความหนาแน่นของพอยต์คลาวด์
พารามิเตอร์
ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน
image_urlsไม่บังคับ
images
video_urlไม่บังคับ
video
frame_sampling_rateไม่บังคับ
alpha_blend_ontoไม่บังคับ
export_prediction_dataไม่บังคับ
export_depth_mapsไม่บังคับ
export_point_cloudไม่บังคับ
array_encodingไม่บังคับ
exclude_keysไม่บังคับ
confidence_percentileไม่บังคับ
max_pointsไม่บังคับ
enable_safety_checkerไม่บังคับ
พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์
เอาต์พุต
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "vggt-1b",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1755,
"usd": "1.755",
"charged": 1755,
"refunded": 0
},
"input": {},
"output": {
"point_cloud": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"depth_maps": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"prediction_data": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
],
"num_frames": 1,
"depth_range": [
1.0
],
"extrinsics": [
[
[
1.0
]
]
],
"intrinsics": [
[
[
1.0
]
]
],
"timings": {}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ฟิลด์ของเอาต์พุต
- point_cloud
- object {url, content_type, file_name, file_size} | nullเอาต์พุตพอยต์คลาวด์ที่ส่งกลับเมื่อ `export_point_cloud` เป็น true โดยฉาก GLB จะรวมคลาวด์ที่ผสานแล้วเข้ากับกรวยกล้อง
- depth_maps
- array of object {url, content_type, file_name, file_size, width, height}เอาต์พุตแผนที่ความลึกที่ใช้ได้เมื่อ `export_depth_maps` เป็น true รายการจะเรียงตามลำดับเฟรมต้นฉบับ โดยแต่ละเฟรมแสดงเป็นแรสเตอร์ PNG ระดับสีเทาที่ความลึก 16 บิต
- prediction_data
- array of object {url, content_type, file_name, file_size}เอาต์พุตข้อมูลการพยากรณ์ดิบ: เมื่อ `export_prediction_data` เป็น true แต่ละเฟรมจะมีไฟล์ JSON ของตัวเอง และไฟล์จะเรียงตามลำดับเฟรม
- num_frames
- integerจำนวนเฟรมที่สร้างขึ้นใหม่ทั้งหมด รวมรูปภาพและเฟรมที่สุ่มตัวอย่างจากวิดีโอ
- depth_range
- array of numberขอบเขตความลึก [min, max] ที่ใช้สำหรับการควอนไทซ์ `depth_maps` กู้คืนความลึกได้เป็น min + pixel * (max - min) / 65535
- extrinsics
- array of array of array of numberเมทริกซ์เอ็กซ์ทรินซิกของกล้องจากโลก ขนาด 3x4 สำหรับแต่ละเฟรม โดยแกนของ OpenCV ชี้ไปทางขวาตาม x ลงตาม y และไปข้างหน้าตาม z
- intrinsics
- array of array of array of numberเมทริกซ์อินทรินซิกแบบพินโฮล ขนาด 3x3 สำหรับแต่ละเฟรม แสดงในพิกัดพิกเซลของเฟรมโมเดลขนาด 518x518
- timings
- objectเวลาที่ผ่านไปจริงสำหรับแต่ละขั้นตอน มีหน่วยเป็นวินาที
โมเดลเพิ่มเติม: การมองเห็น
สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/vggt-1b.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt